package timer

import (
	"sync"
	"time"
)

type SubTicker struct {
	ChanTicker chan struct{}
	Cb         func()
	Ticker     *time.Ticker
	QuitChan   chan struct{}
	Wg         sync.WaitGroup
}

func NewSubTicker(len int) *SubTicker {
	t := new(SubTicker)
	t.ChanTicker = make(chan struct{}, len)
	t.QuitChan = make(chan struct{})
	return t
}
